<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// PHPMailer einbinden
require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';

// Definiere deinen geheimen Schlüssel
$secretKey = 'Dein geheimer Schlüssel';

// Antwort-Token vom Formular erhalten
$responseToken = $_POST['cf-turnstile-response'];

// IP-Adresse des Benutzers abrufen
$remoteIP = $_SERVER['REMOTE_ADDR'];

// Die Daten für die POST-Anfrage vorbereiten
$data = array(
    'secret' => $secretKey,
    'response' => $responseToken,
    'remoteip' => $remoteIP
);

// Curl-Sitzung initialisieren
$ch = curl_init();

// Die Curl-Optionen setzen
curl_setopt($ch, CURLOPT_URL, 'https://challenges.cloudflare.com/turnstile/v0/siteverify');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

// Die POST-Anfrage ausführen
$response = curl_exec($ch);

// Curl-Sitzung schließen
curl_close($ch);

// Die JSON-Antwort dekodieren
$result = json_decode($response, true);

// Überprüfen, ob die Verifizierung erfolgreich war
if ($result && isset($result['success']) && $result['success'] === true) {
    // Verifizierung erfolgreich, mit dem Senden der E-Mail fortfahren
    
    // PHPMailer instanziieren
    $mail = new PHPMailer(true);

    try {
        // Servereinstellungen
        $mail->isSMTP();
        $mail->Host = 'SMTP-Server-Adresse'; // SMTP-Serveradresse eingeben
        $mail->SMTPAuth = true;
        $mail->Username = 'SMTP Benutzername'; // Benutzername für die SMTP-Authentifizierung
        $mail->Password = 'SMTP Passwort'; // Passwort für die SMTP-Authentifizierung
        $mail->Port = 587;
        $mail->SMTPSecure = 'tls';

        // Festlegen des Absenders (From) mit der E-Mail-Adresse und dem Namen 
        $mail->setFrom('Absender E-Mail Aderesse', 'Betreff');
        $mail->addAddress('Empfänger-Mail-Adresse Eingeben'); // Empfänger hinzufügen
        // Inhalt
        $mail->isHTML(false);
        $mail->Subject = 'Formularübermittlung';
        $mail->Body    = "Name: ".$_POST['name']."\n"."E-Mail: ".$_POST['email']."\n"."Nachricht: ".$_POST['message'];

        $mail->send();
     
        // Hier kannst du zwischen einer Weiterleitung oder einem simplen Alert entscheiden

        //  header("Location: bestaetigung.html");
        echo '<script>';
        echo 'alert("Email erfolgreich versendet");';
        echo '</script>';
    } catch (Exception $e) {
        echo '<script>';
        echo 'alert("Captcha-Verifizierung erfolgreich, aber E-Mail konnte nicht gesendet werden. Bitte versuche es erneut.");';
        echo '</script>';
    }
} else {
    // Verifizierung fehlgeschlagen, Fehler behandeln
    echo '<script>';
    echo 'alert("Captcha-Verifizierung fehlgeschlagen. Bitte versuche es erneut.");';
    echo '</script>';
}
?>
